POST /public/v1/warmlist/{workspaceId}/prospects/dnc

Add warmlist prospects to the Do Not Contact list by ID or filter.

POST /public/v1/warmlist/{workspaceId}/prospects/dnc
API key in header x-api-key

Path parameters

· 1
workspaceId string required

Body

required application/json
prospectIds array of string

Specific prospect IDs.

selectAll boolean

Target all prospects matching the filters below.

engagementType string

Required when selectAll is true.

monitoredProfileId string

Only for POST_ENGAGEMENTS.

postId string

Only for POST_ENGAGEMENTS.

postEngagementType string

COMMENT or REACTION.

icpFit array of string
profilePrivacy string

"open" or "closed".

Responses